def main():
    input_file = 'data.txt'
    output_file = 'output.txt'

    try:
        with open(input_file, 'r', encoding='utf-8') as file:
            lines = file.readlines()
    except FileNotFoundError:
        print(f"Файл {input_file} не найден.")
        return

    transformed_lines = [line.upper() for line in lines]

    with open(output_file, 'w', encoding='utf-8') as file:
        file.writelines(transformed_lines)

    print(f"Преобразованные данные записаны в {output_file}.")

if __name__ == "__main__":
    main()
